Bug 179357 - Problem enabling quota's on cluster
Problem enabling quota's on cluster
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: clumanager (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
Depends On:
Blocks: 174689 191182
  Show dependency treegraph
Reported: 2006-01-30 11:15 EST by Issue Tracker
Modified: 2009-04-16 16:19 EDT (History)
4 users (show)

See Also:
Fixed In Version: RHBA-2006-0505
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-10 10:12:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Implements quota support if specified in the options (1.53 KB, patch)
2006-02-06 18:07 EST, Lon Hohberger
no flags Details | Diff
Ported patch for RHCS4 (1.80 KB, patch)
2006-02-07 14:11 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Comment 2 Lon Hohberger 2006-02-06 12:44:45 EST
/sbin/quotaon -aug is *not* what we want here.  We need:

/sbin/quotaon <mountpoint>

Having quotas enabled for one file system should not affect other file systems.
Comment 3 Lon Hohberger 2006-02-06 12:59:03 EST
In looking for alternatives:

For ext2/3, the quota mount options are ignored.

       grpquota / noquota / quota / usrquota
              These options are accepted but ignored.


Ok, so we have to have checkboxes in the UI and attributes to handle quota
support.  There are two types of quotas - user and group; they should be
controlled individually, or we can make them one attribute:

Quota Support: [X] User  [ ] Group


Quota Support: (*) None ( ) User ( ) Group ( ) User+Group

Or a dropdown list:

Quota Support: | None  |
               | User  |
               | Group |
               | Both  |

The way this is modeled in the UI should be consistent between RHCS3 and RHCS4
so that the code is reusable.  The way this feature is modeled in the UI
directly affects how the underlying implementation will work, so it's important
to know this ahead of time.  I'm going to speak with the UI designer.
Comment 5 Lon Hohberger 2006-02-06 18:07:03 EST
Created attachment 124291 [details]
Implements quota support if specified in the options

This patch implements quota support based on whether or not they are specified
in the file system mount options (e.g. usrquota,grpquota).  If specified,
quotas are assumed 'on', since these options have no effect in any other case.

The man page for "quotaon" is misleading: one or both of the quota options must
be present to enable quotas for a given file system, because the quotaon
command looks for them.

So, to use this patch, just add "usrquota", "grpquota", or both to the mount
options and the svclib_filesystem will:

(a) Create the quota files if they do not exist, and
(b) (re)generate quota information using "quotacheck" if it had to create any
quota information files.

Quota information is not updated on mount, rather, it is up to the
administrator to do this periodically.
Comment 6 Lon Hohberger 2006-02-06 18:08:01 EST
With the above patch, no UI changes are necessary.
Comment 8 Lon Hohberger 2006-02-07 14:11:41 EST
Created attachment 124330 [details]
Ported patch for RHCS4

Functionality is the same: add usrquota/grpquota to the file system mount
options and fs.sh will automatically turn on quotas after mounting the file
Comment 17 Red Hat Bugzilla 2006-08-10 10:12:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.